Bug 429811 - [dep bloat] remove Requires: ghostscript from tex-preview subpackage
Summary: [dep bloat] remove Requires: ghostscript from tex-preview subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-auctex   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 430604
Blocks: 428489
TreeView+ depends on / blocked
 
Reported: 2008-01-23 07:29 UTC by Jindrich Novy
Modified: 2013-07-02 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 17:44:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jindrich Novy 2008-01-23 07:29:42 UTC
Description of problem:
tex-preview requires ghostscript, but it doesn't need it. It causes the texlive
package to pull the bogus ghostscript dependency in. We want to remove
ghostscript dependency from the baseline texlive package.

Version-Release number of selected component (if applicable):
11.86-6.fc9

Comment 1 Jonathan Underwood 2008-01-23 11:54:15 UTC
Hm. I will check again, but according to the preview manual ghostscript is needed.
I will do some digging.

Another option is to not have texlive Require preview... that might not be a
desireable fix though.

Comment 2 Jindrich Novy 2008-01-23 12:33:53 UTC
I'm not tex-preview user, but in my understanding ghostscript is not a hard
dependency that breaks tex-preview functionality, therefore Requires:
ghostscript is not appropriate here.

Comment 3 Jonathan Underwood 2008-01-23 22:19:36 UTC
OK, ghostscript dep is removed now in 11.84-7.fc9.

Comment 4 Jindrich Novy 2008-01-24 06:32:44 UTC
Thanks!

Comment 5 Jonathan Underwood 2008-01-24 12:06:54 UTC
Hm, spoke to soon. Unfortunately the package build fails because of a problem
with metafont - I think this is a problem with the texlive package... please advise.

Build logs:

http://koji.fedoraproject.org/koji/getfile?taskID=369289&name=build.log

In particular:

This is TeX, Version 3.141592 (Web2C 7.5.6) (INITEX)
(/usr/share/texmf/tex/plain/config/tex.ini
(/usr/share/texmf/tex/plain/base/plain.tex Preloading the plain format: codes,
registers, parameters, fonts,kpathsea: Running mktextfm cmr10
/usr/share/texmf/web2c/mktexnam: Could not map source abbreviation  for cmr10.
/usr/share/texmf/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode;
input cmr10
This is METAFONT, Version 2.71828 (Web2C 7.5.6)
kpathsea: Running mktexmf cmr10

! I can't find file `cmr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Transcript written on mfput.log.
grep: cmr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input
cmr10' failed to make cmr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

! Font \tenrm=cmr10 not loadable: Metric (TFM) file not found.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
? 
! Emergency stop.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
No pages of output.
Transcript written on tex.log.
kpathsea: Running mktextfm cmr10
/usr/share/texmf/web2c/mktexnam: Could not map source abbreviation  for cmr10.
/usr/share/texmf/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode;
input cmr10
This is METAFONT, Version 2.71828 (Web2C 7.5.6)
kpathsea: Running mktexmf cmr10

! I can't find file `cmr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Transcript written on mfput.log.
grep: cmr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input
cmr10' failed to make cmr10.tfm.
kpathsea: Appending font creation commands to missfont.log.
Error: `tex -ini  -jobname=tex -progname=tex tex.ini' failed

###############################################################################
fmtutil: Error! Not all formats have been built successfully.
Visit the log files in directory
  /builddir/.texlive2007/texmf-var/web2c
for details.
###############################################################################

This is a summary of all `failed' messages and warnings:
`tex -ini  -jobname=tex -progname=tex tex.ini' failed
warning: kpathsea: mktexfmt output `This is TeX, Version 3.141592 (Web2C 7.5.6)
(INITEX)
(/usr/share/texmf/tex/plain/config/tex.ini
(/usr/share/texmf/tex/plain/base/plain.tex Preloading the plain format: codes,
registers, parameters, fonts,
! Font \tenrm=cmr10 not loadable: Metric (TFM) file not found.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
? 
! Emergency stop.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
No pages of output.
Transcript written on tex.log.' instead of a filename.
I can't find the format file `tex.fmt'!
make[2]: *** [preview-mk.ins] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/auctex-11.84/preview/latex'
make[1]: *** [texmf] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/auctex-11.84/preview'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.15528 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.15528 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target noarch --nodeps
//builddir/build/SPECS/emacs-auctex.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target noarch --nodeps
//builddir/build/SPECS/emacs-auctex.spec'
LEAVE do --> EXCEPTION RAISED


Comment 6 Jonathan Underwood 2008-02-13 17:44:02 UTC
OK, finally fixed in emacs-auctex 11.85-5


Note You need to log in before you can comment on or make changes to this bug.